Bug 1466488 - [GSS](6.4.z) jboss-cli.sh goes into interactive mode when certificate expired causes hanging in non-interactive use cases
[GSS](6.4.z) jboss-cli.sh goes into interactive mode when certificate expired...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.4.16
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.17
Assigned To: jboss-set
Peter Mackay
:
Depends On:
Blocks: eap6417-payload
  Show dependency treegraph
 
Reported: 2017-06-29 14:59 EDT by Brad Maxwell
Modified: 2017-09-06 09:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 09:35:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Maxwell 2017-06-29 14:59:43 EDT

    
Comment 4 Petr Penicka 2017-07-10 09:08:38 EDT
Triage: low risk including this and supporting, also no workaround and customer resisted pushback several times -> QE ack, need to develop tests to test in future.
Comment 5 Peter Mackay 2017-08-07 09:52:16 EDT
Verified with EAP 6.4.17.CP.CR3.

Using --error-on-interact, having to accept certificate in non-interactive mode results in CLI failing with the following message:
"Invalid Usage. Prompt attempted in non-interactive mode. Please check commands or change CLI mode.
Comment 6 Petr Penicka 2017-09-06 09:35:42 EDT
Released on 2017-09-05 as part of the EAP 6.4.17 release.

Note You need to log in before you can comment on or make changes to this bug.